package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

/**
 * 排班周期缓存类
 */
public class KQShiftCycleSerialComInfo extends CacheBase {

    /**
     * 数据来源
     */
    protected static String TABLE_NAME = "kq_group_shiftcycle";
    /**
     * sql中的where信息，不要以where开始
     */
    protected static String TABLE_WHERE = " ";
    /**
     * sql中的order by信息，不要以order by开始
     */
    protected static String TABLE_ORDER = "id";

    /** 主键ID */
    @PKColumn(type = CacheColumnType.NUMBER)
    protected static String PK_NAME = "id";

    /**
     * 排班周期名称
     */
    @CacheColumn(name = "shiftcyclename")
    protected static int shiftcyclename;

    /**
     * 班次周期值
     */
    @CacheColumn(name = "shiftcycleserialids")
    protected static int shiftcycleserialids;

    /**
     * 考勤组id
     */
    @CacheColumn(name = "groupid")
    protected static int groupid;

    public String getId() {
        return (String) getRowValue(PK_INDEX);
    }

    public String getShiftcyclename() {
        return (String) getRowValue(shiftcyclename);
    }

    public String getShiftcyclename(String key) {
        return (String) getValue(shiftcyclename, key);
    }

    public String getShiftcycleserialids() {
        return (String) getRowValue(shiftcycleserialids);
    }

    public String getShiftcycleserialids(String key) {
        return (String) getValue(shiftcycleserialids, key);
    }

    public String getGroupid() {
        return (String) getRowValue(groupid);
    }

    public String getGroupid(String key) {
        return (String) getValue(groupid, key);
    }

}
